Python CVE-2013-7040信息泄漏漏洞

漏洞起因
设计错误
危险等级

影响系统
Python 2.7
Python 3.3

不受影响系统

危害
远程攻击者可以利用漏洞获取敏感信息。
CVSSv2:

攻击所需条件
攻击者必须访问Python。

漏洞信息
Python是一款开放源代码的脚本编程语言。
CPython存在一个敏感信息泄漏漏洞,允许远程攻击者利用漏洞获取哈希Secret信息。

测试方法
安全建议

厂商解决方案
Python 3.4已经修复该漏洞,建议用户下载更新:
http://www.python.org/dev/peps/pep-0456

漏洞提供者
Klink and Waelde